Retrieve companies
curl --request GET \
--url https://api.spacebring.com/community/companies/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/community/companies/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/community/companies/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"companies": [
{
"billingAddress": "<string>",
"businessAddress": {
"city": "<string>",
"countryCode": "<string>",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"credits": {
"expiring": 123,
"permanent": 123
},
"dayPasses": {
"expiring": 123
},
"deleteDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"legalName": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"notes": "<string>",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxId": "<string>",
"title": "<string>"
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Community
Retrieve companies
Retrieve all companies.
OAuth
Required scopes:community.readonly or communityGET
/
community
/
companies
/
v1
Retrieve companies
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
The id of the location.
The number of items to return
Required range:
1 <= x <= 100Token to retrieve the next page of results.
Opaque cursor token for retrieving the next page of results. Pass this value as the nextPageToken query parameter in your next request.
Filter by company's title
Filter by types. Pass them as comma separated values.
Available options:
member, nonmember Was this page helpful?